# template: foreman_plugin
%global gem_name foreman_netbox
%global plugin_name netbox
%global foreman_min_version 3.13

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?foremandist}%{?dist}
Summary: Adds integration with NetBox
License: GPLv3
URL: https://github.com/dm-drogeriemarkt/foreman_netbox
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
BuildRequires: foreman-plugin >= %{foreman_min_version}
Requires: ruby >= 2.7
Requires: ruby < 4
BuildRequires: ruby >= 2.7
BuildRequires: ruby < 4
BuildRequires: rubygems-devel
BuildArch: noarch
Provides: foreman-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies

%description
Adds integration with NetBox.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_plugin}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%posttrans
%{foreman_plugin_log}

%changelog
* Fri May 30 2025 David Ochner <david.ochner@dm.de> - 2.0.0-1
- Update to 2.0.0

* Tue Aug 22 2023 Dirk Goetz <dirk.goetz@netways.de> 1.2.0-1
- Update to 1.2.0

* Tue May 31 2022 Dirk Goetz <dirk.goetz@netways.de> 1.1.0-1
- Add rubygem-foreman_netbox generated by gem2rpm using the foreman_plugin template

